package com.huimv.manager.controller;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.huimv.manager.dao.entity.ImagePathEntity;
import com.huimv.manager.service.IImageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@CrossOrigin
@RestController
@RequestMapping("/imageManager")
public class ImageManagerController {
    @Autowired
    private IImageService imageService;

    /**
     * @Method      : getLastImageAiResult
     * @Description : 读取最新的图像AI识别记录
     * @Params      : []
     * @Return      : java.lang.String
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/1/22       
     * @Time        : 10:00
     */
    @RequestMapping(value="/getLastImageAiResult",method = RequestMethod.GET)
    public String getLastImageAiResult(){
        //
        ImagePathEntity imagePathEntity = imageService.getLastImage();
        return JSONObject.toJSON(imagePathEntity).toString();
    }

    /**
     * @Method      : getNextImageAiResult
     * @Description : 读取下一条图像AI识别记录
     * @Params      : []
     * @Return      : java.lang.String
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/1/22       
     * @Time        : 10:01
     */
    @RequestMapping(value="/getNextImageAiResult",method = RequestMethod.GET)
    public String getNextImageAiResult(){
        //
        return imageService.getNextImage();
    }

//    public JSONArray listImage(String startDate, String endDate){
//        imageService
//    }

}
