package com.huimv.manager.dao.repo;

import com.huimv.manager.dao.entity.ImagePathEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

public interface ImagePathRepo extends JpaRepository<ImagePathEntity, Integer>, JpaSpecificationExecutor<ImagePathEntity> {

    /**
     * @Method      : getLastImage
     * @Description : 读取最新的图像记录
     * @Params      : []
     * @Return      : com.huimv.manager.dao.entity.ImagePathEntity
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/1/22       
     * @Time        : 10:13
     */
    @Query(nativeQuery = true, value = "SELECT * FROM image_path ORDER BY create_date DESC LIMIT 1")
    ImagePathEntity getLastImage();

    /**
     * @Method      : getNextImage
     * @Description : 读取下一幅有效的图像记录
     * @Params      : []
     * @Return      : com.huimv.manager.dao.entity.ImagePathEntity
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/1/22       
     * @Time        : 10:13
     */
    @Query(nativeQuery = true, value = "SELECT * FROM image_path WHERE effective=1 ORDER BY create_date ASC LIMIT 1")
    ImagePathEntity getNextImage();
}