package com.huimv.manager.service.impl;

import com.huimv.manager.dao.entity.ImagePathEntity;
import com.huimv.manager.dao.repo.ImagePathRepo;
import com.huimv.manager.service.IImageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Service
public class ImageServiceImpl implements IImageService {
    @Autowired
    private ImagePathRepo imagePathRepo;

    /**
     * @Method      : getLastImage
     * @Description : 读取最后一幅图像
     * @Params      : []
     * @Return      : java.lang.String
     *
     * @Author      : ZhuoNing
     * @Date        : 2021/1/21
     * @Time        : 20:49
     */
    @Override
    public ImagePathEntity getLastImage() {
        // 读取最后一幅图像
        ImagePathEntity imagePathEntity = imagePathRepo.getLastImage();
        return imagePathEntity;
    }

    /**
     * @Method      : getNextImage
     * @Description : 读取下一副图像
     * @Params      : []
     * @Return      : java.lang.String
     *
     * @Author      : ZhuoNing
     * @Date        : 2021/1/21
     * @Time        : 20:49
     */
    @Override
    public String getNextImage() {
        // 读取下一副图像
        ImagePathEntity imagePathEntity = imagePathRepo.getNextImage();
        if(imagePathEntity!=null){
            // 更改记录
            imagePathEntity.setEffective(0);
            imagePathRepo.saveAndFlush(imagePathEntity);
            return imagePathEntity.toString();
        }else{
            return imagePathRepo.getLastImage().toString();
        }
    }
}
